| Home · All Classes · All Namespaces · Modules · Functions · Files

Macros
Utility string constants
Types and constants
Collaboration diagram for Utility string constants:

## Macros

#define | TP_QT_CONNECTION_MANAGER_BUS_NAME_BASE
#define | TP_QT_CONNECTION_MANAGER_OBJECT_PATH_BASE
#define | TP_QT_CONNECTION_BUS_NAME_BASE
#define | TP_QT_CONNECTION_OBJECT_PATH_BASE
#define | TP_QT_ACCOUNT_MANAGER_BUS_NAME
#define | TP_QT_ACCOUNT_MANAGER_OBJECT_PATH
#define | TP_QT_CHANNEL_DISPATCHER_BUS_NAME
#define | TP_QT_CHANNEL_DISPATCHER_OBJECT_PATH
#define | TP_QT_ACCOUNT_OBJECT_PATH_BASE
#define | TP_QT_DEBUG_OBJECT_PATH

## Detailed Description

Utility constants which aren't generated from the specification but are useful for working with the Telepathy protocol.

## Macro Definition Documentation

## § TP_QT_CONNECTION_MANAGER_BUS_NAME_BASE

#define TP_QT_CONNECTION_MANAGER_BUS_NAME_BASE

The prefix for a connection manager's bus name, to which the CM's name (e.g. "gabble") should be appended.

## § TP_QT_CONNECTION_MANAGER_OBJECT_PATH_BASE

#define TP_QT_CONNECTION_MANAGER_OBJECT_PATH_BASE

The prefix for a connection manager's object path, to which the CM's name (e.g. "gabble") should be appended.

## § TP_QT_CONNECTION_BUS_NAME_BASE

#define TP_QT_CONNECTION_BUS_NAME_BASE

The prefix for a connection's bus name, to which the CM's name (e.g. "gabble"), the protocol (e.g. "jabber") and an element representing the account should be appended.

## § TP_QT_CONNECTION_OBJECT_PATH_BASE

#define TP_QT_CONNECTION_OBJECT_PATH_BASE

The prefix for a connection's object path, to which the CM's name (e.g. "gabble"), the protocol (e.g. "jabber") and an element representing the account should be appended.

## § TP_QT_ACCOUNT_MANAGER_BUS_NAME

#define TP_QT_ACCOUNT_MANAGER_BUS_NAME

The well-known bus name of the Account Manager.

See also
  Tp::AccountManager

## § TP_QT_ACCOUNT_MANAGER_OBJECT_PATH

#define TP_QT_ACCOUNT_MANAGER_OBJECT_PATH

The object path of the Account Manager object.

See also
  Tp::AccountManager

## § TP_QT_CHANNEL_DISPATCHER_BUS_NAME

#define TP_QT_CHANNEL_DISPATCHER_BUS_NAME

The well-known bus name of the Channel Dispatcher.

## § TP_QT_CHANNEL_DISPATCHER_OBJECT_PATH

#define TP_QT_CHANNEL_DISPATCHER_OBJECT_PATH

The object path of the Channel Dispatcherr object.

## § TP_QT_ACCOUNT_OBJECT_PATH_BASE

#define TP_QT_ACCOUNT_OBJECT_PATH_BASE

The prefix for an Account's object path, to which the CM's name (e.g. "gabble"), the protocol (e.g. "jabber") and an element identifying the particular account should be appended.

See also
  Tp::Account

## § TP_QT_DEBUG_OBJECT_PATH

#define TP_QT_DEBUG_OBJECT_PATH

The object path of the Debug object of various services.